> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# search contracts

> Search by params from response dto



## OpenAPI

````yaml /openapi.json post /api/v1/contract/search
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/contract/search:
    post:
      tags:
        - Contract Route
      summary: search contracts
      description: Search by params from response dto
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QuerySearchRequestDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginationDtoContractDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    QuerySearchRequestDto:
      type: object
      properties:
        from:
          format: int32
          description: Starting document offset
          default: 0
          minimum: 0
          type: integer
          example: 0
        size:
          format: int32
          description: The number of hits to return
          default: 10
          maximum: 10000
          minimum: 0
          type: integer
          example: 10
        where:
          description: Query string to search for data. Represent SQL 'where'
          type: string
          example: field1='value' and field2<>'value2'
        sort:
          description: Sorting for the search
          minItems: 1
          type: array
          items:
            $ref: '#/components/schemas/SortDto'
        trackTotal:
          description: Return total results field if true
          default: false
          type: boolean
    PaginationDtoContractDto:
      type: object
      properties:
        data:
          description: Response data
          type: array
          items:
            $ref: '#/components/schemas/ContractDto'
        total:
          format: int64
          description: Total amount of document available for this request
          type: integer
    SortDto:
      required:
        - field
      type: object
      properties:
        field:
          description: Field name for sorting
          pattern: \S
          type: string
          example: timestamp
        order:
          description: 'Order for the sorting. Default: ASC'
          type: string
          allOf:
            - $ref: '#/components/schemas/SortOrder'
    ContractDto:
      type: object
      properties:
        id:
          format: int64
          description: Unique identifier of the entity
          type: integer
          example: 1
        createdAt:
          format: int64
          description: Time when entity was created
          type: integer
        updatedAt:
          format: int64
          description: Time when entity was updated
          type: integer
        projectId:
          format: int64
          description: The project ID associated with the extractor contract
          type: integer
        chainUid:
          description: Network uid that associated with extractor contract
          type: string
          allOf:
            - $ref: '#/components/schemas/ChainUid'
        address:
          description: The direct address of the extractor contract
          type: string
        implementation:
          description: >-
            Implementation address associated with the extractor contract, not
            null means this is a proxy contract
          type: string
        name:
          description: Name for the entity
          type: string
        category:
          description: Contract category
          type: string
        tags:
          description: Contract tags
          uniqueItems: true
          type: array
          items:
            type: string
        addressType:
          description: The type of a provided address, could be "Contract" or "Wallet"
          type: string
          allOf:
            - $ref: '#/components/schemas/AddressType'
        amlRequired:
          description: 'If the AML detector required for this contract. Default: false'
          type: boolean
        icon:
          description: A URL of an icon for the contract
          type: string
    SortOrder:
      enum:
        - Asc
        - Desc
      type: string
    ChainUid:
      enum:
        - arbitrum
        - bsc
        - bsc_testnet
        - ethereum
        - linea
        - optimism
        - base
        - base_sepolia
        - gnosis
        - fantom
        - polygon
        - polygon_amoy
        - blast
        - zksync
        - scroll
        - avalanche
        - avalanche_fuji
        - telos
        - sepolia
        - holesky
        - ethereum_sepolia
        - ethereum_holesky
        - tron
        - zeta
        - somnia
        - adi
        - anvil
        - icp
        - vechain
        - stellar
        - bitcoin
        - solana
      type: string
    AddressType:
      enum:
        - CONTRACT
        - WALLET
        - ENTITY
      type: string
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````